import React from 'react';
import type { ColorValue } from 'react-native';
import type { Theme } from '../../types';
export declare type AppbarModes = 'small' | 'medium' | 'large' | 'center-aligned';
export declare const getAppbarColor: (theme: Theme, elevation: number, customBackground?: ColorValue | undefined, elevated?: boolean | undefined) => ColorValue;
declare type RenderAppbarContentProps = {
    children: React.ReactNode;
    isDark: boolean;
    shouldCenterContent?: boolean;
    isV3: boolean;
    renderOnly?: React.ReactNode[];
    renderExcept?: React.ReactNode[];
    mode?: AppbarModes;
};
export declare const DEFAULT_APPBAR_HEIGHT = 56;
export declare const modeAppbarHeight: {
    small: number;
    medium: number;
    large: number;
    'center-aligned': number;
};
export declare const modeTextVariant: {
    small: string;
    medium: string;
    large: string;
    'center-aligned': string;
};
export declare const renderAppbarContent: ({ children, isDark, shouldCenterContent, isV3, renderOnly, renderExcept, mode, }: RenderAppbarContentProps) => {}[];
export {};
